Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network53.192.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
53.192.0.0
Broadcast address
53.207.255.255
First usable
53.192.0.1
Last usable
53.207.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 35C00000 · Integer 901775360 to 902823935
Reverse DNS zones
192.53.in-addr.arpa
193.53.in-addr.arpa
194.53.in-addr.arpa
195.53.in-addr.arpa
196.53.in-addr.arpa
197.53.in-addr.arpa
198.53.in-addr.arpa
199.53.in-addr.arpa
200.53.in-addr.arpa
201.53.in-addr.arpa
202.53.in-addr.arpa
203.53.in-addr.arpa
204.53.in-addr.arpa
205.53.in-addr.arpa
206.53.in-addr.arpa
207.53.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110101.11000000.00000000.0000000053.192.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00110101.11000000.00000000.0000000053.192.0.0
Broadcast00110101.11001111.11111111.1111111153.207.255.255
Split into smaller subnets/19

53.192.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
153.192.0.0/1953.192.0.1 to 53.192.31.25453.192.31.2558,190
253.192.32.0/1953.192.32.1 to 53.192.63.25453.192.63.2558,190
353.192.64.0/1953.192.64.1 to 53.192.95.25453.192.95.2558,190
453.192.96.0/1953.192.96.1 to 53.192.127.25453.192.127.2558,190
553.192.128.0/1953.192.128.1 to 53.192.159.25453.192.159.2558,190
653.192.160.0/1953.192.160.1 to 53.192.191.25453.192.191.2558,190
753.192.192.0/1953.192.192.1 to 53.192.223.25453.192.223.2558,190
853.192.224.0/1953.192.224.1 to 53.192.255.25453.192.255.2558,190
953.193.0.0/1953.193.0.1 to 53.193.31.25453.193.31.2558,190
1053.193.32.0/1953.193.32.1 to 53.193.63.25453.193.63.2558,190
1153.193.64.0/1953.193.64.1 to 53.193.95.25453.193.95.2558,190
1253.193.96.0/1953.193.96.1 to 53.193.127.25453.193.127.2558,190
1353.193.128.0/1953.193.128.1 to 53.193.159.25453.193.159.2558,190
1453.193.160.0/1953.193.160.1 to 53.193.191.25453.193.191.2558,190
1553.193.192.0/1953.193.192.1 to 53.193.223.25453.193.223.2558,190
1653.193.224.0/1953.193.224.1 to 53.193.255.25453.193.255.2558,190
1753.194.0.0/1953.194.0.1 to 53.194.31.25453.194.31.2558,190
1853.194.32.0/1953.194.32.1 to 53.194.63.25453.194.63.2558,190
1953.194.64.0/1953.194.64.1 to 53.194.95.25453.194.95.2558,190
2053.194.96.0/1953.194.96.1 to 53.194.127.25453.194.127.2558,190
2153.194.128.0/1953.194.128.1 to 53.194.159.25453.194.159.2558,190
2253.194.160.0/1953.194.160.1 to 53.194.191.25453.194.191.2558,190
2353.194.192.0/1953.194.192.1 to 53.194.223.25453.194.223.2558,190
2453.194.224.0/1953.194.224.1 to 53.194.255.25453.194.255.2558,190
2553.195.0.0/1953.195.0.1 to 53.195.31.25453.195.31.2558,190
2653.195.32.0/1953.195.32.1 to 53.195.63.25453.195.63.2558,190
2753.195.64.0/1953.195.64.1 to 53.195.95.25453.195.95.2558,190
2853.195.96.0/1953.195.96.1 to 53.195.127.25453.195.127.2558,190
2953.195.128.0/1953.195.128.1 to 53.195.159.25453.195.159.2558,190
3053.195.160.0/1953.195.160.1 to 53.195.191.25453.195.191.2558,190
3153.195.192.0/1953.195.192.1 to 53.195.223.25453.195.223.2558,190
3253.195.224.0/1953.195.224.1 to 53.195.255.25453.195.255.2558,190
3353.196.0.0/1953.196.0.1 to 53.196.31.25453.196.31.2558,190
3453.196.32.0/1953.196.32.1 to 53.196.63.25453.196.63.2558,190
3553.196.64.0/1953.196.64.1 to 53.196.95.25453.196.95.2558,190
3653.196.96.0/1953.196.96.1 to 53.196.127.25453.196.127.2558,190
3753.196.128.0/1953.196.128.1 to 53.196.159.25453.196.159.2558,190
3853.196.160.0/1953.196.160.1 to 53.196.191.25453.196.191.2558,190
3953.196.192.0/1953.196.192.1 to 53.196.223.25453.196.223.2558,190
4053.196.224.0/1953.196.224.1 to 53.196.255.25453.196.255.2558,190
4153.197.0.0/1953.197.0.1 to 53.197.31.25453.197.31.2558,190
4253.197.32.0/1953.197.32.1 to 53.197.63.25453.197.63.2558,190
4353.197.64.0/1953.197.64.1 to 53.197.95.25453.197.95.2558,190
4453.197.96.0/1953.197.96.1 to 53.197.127.25453.197.127.2558,190
4553.197.128.0/1953.197.128.1 to 53.197.159.25453.197.159.2558,190
4653.197.160.0/1953.197.160.1 to 53.197.191.25453.197.191.2558,190
4753.197.192.0/1953.197.192.1 to 53.197.223.25453.197.223.2558,190
4853.197.224.0/1953.197.224.1 to 53.197.255.25453.197.255.2558,190
4953.198.0.0/1953.198.0.1 to 53.198.31.25453.198.31.2558,190
5053.198.32.0/1953.198.32.1 to 53.198.63.25453.198.63.2558,190
5153.198.64.0/1953.198.64.1 to 53.198.95.25453.198.95.2558,190
5253.198.96.0/1953.198.96.1 to 53.198.127.25453.198.127.2558,190
5353.198.128.0/1953.198.128.1 to 53.198.159.25453.198.159.2558,190
5453.198.160.0/1953.198.160.1 to 53.198.191.25453.198.191.2558,190
5553.198.192.0/1953.198.192.1 to 53.198.223.25453.198.223.2558,190
5653.198.224.0/1953.198.224.1 to 53.198.255.25453.198.255.2558,190
5753.199.0.0/1953.199.0.1 to 53.199.31.25453.199.31.2558,190
5853.199.32.0/1953.199.32.1 to 53.199.63.25453.199.63.2558,190
5953.199.64.0/1953.199.64.1 to 53.199.95.25453.199.95.2558,190
6053.199.96.0/1953.199.96.1 to 53.199.127.25453.199.127.2558,190
6153.199.128.0/1953.199.128.1 to 53.199.159.25453.199.159.2558,190
6253.199.160.0/1953.199.160.1 to 53.199.191.25453.199.191.2558,190
6353.199.192.0/1953.199.192.1 to 53.199.223.25453.199.223.2558,190
6453.199.224.0/1953.199.224.1 to 53.199.255.25453.199.255.2558,190
6553.200.0.0/1953.200.0.1 to 53.200.31.25453.200.31.2558,190
6653.200.32.0/1953.200.32.1 to 53.200.63.25453.200.63.2558,190
6753.200.64.0/1953.200.64.1 to 53.200.95.25453.200.95.2558,190
6853.200.96.0/1953.200.96.1 to 53.200.127.25453.200.127.2558,190
6953.200.128.0/1953.200.128.1 to 53.200.159.25453.200.159.2558,190
7053.200.160.0/1953.200.160.1 to 53.200.191.25453.200.191.2558,190
7153.200.192.0/1953.200.192.1 to 53.200.223.25453.200.223.2558,190
7253.200.224.0/1953.200.224.1 to 53.200.255.25453.200.255.2558,190
7353.201.0.0/1953.201.0.1 to 53.201.31.25453.201.31.2558,190
7453.201.32.0/1953.201.32.1 to 53.201.63.25453.201.63.2558,190
7553.201.64.0/1953.201.64.1 to 53.201.95.25453.201.95.2558,190
7653.201.96.0/1953.201.96.1 to 53.201.127.25453.201.127.2558,190
7753.201.128.0/1953.201.128.1 to 53.201.159.25453.201.159.2558,190
7853.201.160.0/1953.201.160.1 to 53.201.191.25453.201.191.2558,190
7953.201.192.0/1953.201.192.1 to 53.201.223.25453.201.223.2558,190
8053.201.224.0/1953.201.224.1 to 53.201.255.25453.201.255.2558,190
8153.202.0.0/1953.202.0.1 to 53.202.31.25453.202.31.2558,190
8253.202.32.0/1953.202.32.1 to 53.202.63.25453.202.63.2558,190
8353.202.64.0/1953.202.64.1 to 53.202.95.25453.202.95.2558,190
8453.202.96.0/1953.202.96.1 to 53.202.127.25453.202.127.2558,190
8553.202.128.0/1953.202.128.1 to 53.202.159.25453.202.159.2558,190
8653.202.160.0/1953.202.160.1 to 53.202.191.25453.202.191.2558,190
8753.202.192.0/1953.202.192.1 to 53.202.223.25453.202.223.2558,190
8853.202.224.0/1953.202.224.1 to 53.202.255.25453.202.255.2558,190
8953.203.0.0/1953.203.0.1 to 53.203.31.25453.203.31.2558,190
9053.203.32.0/1953.203.32.1 to 53.203.63.25453.203.63.2558,190
9153.203.64.0/1953.203.64.1 to 53.203.95.25453.203.95.2558,190
9253.203.96.0/1953.203.96.1 to 53.203.127.25453.203.127.2558,190
9353.203.128.0/1953.203.128.1 to 53.203.159.25453.203.159.2558,190
9453.203.160.0/1953.203.160.1 to 53.203.191.25453.203.191.2558,190
9553.203.192.0/1953.203.192.1 to 53.203.223.25453.203.223.2558,190
9653.203.224.0/1953.203.224.1 to 53.203.255.25453.203.255.2558,190
9753.204.0.0/1953.204.0.1 to 53.204.31.25453.204.31.2558,190
9853.204.32.0/1953.204.32.1 to 53.204.63.25453.204.63.2558,190
9953.204.64.0/1953.204.64.1 to 53.204.95.25453.204.95.2558,190
10053.204.96.0/1953.204.96.1 to 53.204.127.25453.204.127.2558,190
10153.204.128.0/1953.204.128.1 to 53.204.159.25453.204.159.2558,190
10253.204.160.0/1953.204.160.1 to 53.204.191.25453.204.191.2558,190
10353.204.192.0/1953.204.192.1 to 53.204.223.25453.204.223.2558,190
10453.204.224.0/1953.204.224.1 to 53.204.255.25453.204.255.2558,190
10553.205.0.0/1953.205.0.1 to 53.205.31.25453.205.31.2558,190
10653.205.32.0/1953.205.32.1 to 53.205.63.25453.205.63.2558,190
10753.205.64.0/1953.205.64.1 to 53.205.95.25453.205.95.2558,190
10853.205.96.0/1953.205.96.1 to 53.205.127.25453.205.127.2558,190
10953.205.128.0/1953.205.128.1 to 53.205.159.25453.205.159.2558,190
11053.205.160.0/1953.205.160.1 to 53.205.191.25453.205.191.2558,190
11153.205.192.0/1953.205.192.1 to 53.205.223.25453.205.223.2558,190
11253.205.224.0/1953.205.224.1 to 53.205.255.25453.205.255.2558,190
11353.206.0.0/1953.206.0.1 to 53.206.31.25453.206.31.2558,190
11453.206.32.0/1953.206.32.1 to 53.206.63.25453.206.63.2558,190
11553.206.64.0/1953.206.64.1 to 53.206.95.25453.206.95.2558,190
11653.206.96.0/1953.206.96.1 to 53.206.127.25453.206.127.2558,190
11753.206.128.0/1953.206.128.1 to 53.206.159.25453.206.159.2558,190
11853.206.160.0/1953.206.160.1 to 53.206.191.25453.206.191.2558,190
11953.206.192.0/1953.206.192.1 to 53.206.223.25453.206.223.2558,190
12053.206.224.0/1953.206.224.1 to 53.206.255.25453.206.255.2558,190
12153.207.0.0/1953.207.0.1 to 53.207.31.25453.207.31.2558,190
12253.207.32.0/1953.207.32.1 to 53.207.63.25453.207.63.2558,190
12353.207.64.0/1953.207.64.1 to 53.207.95.25453.207.95.2558,190
12453.207.96.0/1953.207.96.1 to 53.207.127.25453.207.127.2558,190
12553.207.128.0/1953.207.128.1 to 53.207.159.25453.207.159.2558,190
12653.207.160.0/1953.207.160.1 to 53.207.191.25453.207.191.2558,190
12753.207.192.0/1953.207.192.1 to 53.207.223.25453.207.223.2558,190
12853.207.224.0/1953.207.224.1 to 53.207.255.25453.207.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses